package com.jkcredit.illegal.info.service.impl;

import com.alibaba.fastjson.JSON;
import com.jkcredit.illegal.info.model.DingRobotResponseObject;
import com.jkcredit.illegal.info.model.SendDingMsgResponseObject;
import com.jkcredit.illegal.info.service.DingRobotService;
import com.jkcredit.illegal.info.util.OkHttpUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Service
@Slf4j
public class DingRobotServiceImpl implements DingRobotService {
    @Value("${dingding.url}")
    String dingRobotUrl;

    @Override
    public SendDingMsgResponseObject sendDingRobotMsg(String msg) {
        Map<String, String> contentMap = new HashMap<>();
        contentMap.put("content", msg);

        //通知人
        Map<String, Object> atMap = new HashMap<>();
        //1.是否通知所有人
        atMap.put("isAtAll", false);

        Map<String, Object> reqMap = new HashMap<>();
        reqMap.put("msgtype", "text");
        reqMap.put("text", contentMap);
        reqMap.put("at", atMap);

        String responseString = OkHttpUtil.doHttpPost(dingRobotUrl, JSON.toJSONString(reqMap));
        if (StringUtils.isNotBlank(responseString)) {
            DingRobotResponseObject DingRobotResponseObject = JSON.toJavaObject(JSON.parseObject(responseString),
                    DingRobotResponseObject.class);
            if (DingRobotResponseObject.getErrorCode() == 0) {
                return SendDingMsgResponseObject.success(DingRobotResponseObject.getErrorMsg());
            } else {
                return SendDingMsgResponseObject.failure(DingRobotResponseObject.getErrorMsg());
            }

        } else {
            return SendDingMsgResponseObject.failure("发送消息失败");
        }
    }
}
