package com.jkcredit.illegal.info.task;

import com.jkcredit.illegal.info.service.MonitorService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.scheduling.annotation.Schedules;
import org.springframework.stereotype.Component;

import java.time.LocalTime;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
@Slf4j
@RequiredArgsConstructor
public class ExceptionListenerTask {
    private final MonitorService monitorService;

    @Scheduled(cron = "0 0/10 * * * ?", zone = "Asia/Shanghai")
    public void requestMonitorTask() {
        monitorService.requestMonitor();
    }

    @Schedules({
            @Scheduled(cron = "0 0 9 8 5 ?", zone = "Asia/Shanghai"),
            @Scheduled(cron = "0 0 9 17 5 ?", zone = "Asia/Shanghai")
    })
    public void updateClientCertificate() {
        monitorService.updateClientCertificate();
    }
}
